%define dist DateTime-TimeZone
Name: perl-%dist
Version: 0.90
Release: alt1

Summary: Time zone object base class and factory
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch

# avoid rpmdb bloat
%add_findprov_skiplist */DateTime/TimeZone/*/*.pm

# Automatically added by buildreq on Mon May 11 2009
BuildRequires: perl-Class-Singleton perl-DateTime perl-Module-Build perl-Storable

%description
The DateTime::TimeZone modules provide a Perl interface to the Olson
time zone database.  Rather than using the database directly, we parse
the database files and turn them into a set of modules, one for each
time zone defined.  This allows for various optimizations in doing
time zone calculations.  This conversion is done with the script in
tools/parse_olson.

The Olson time zone database is the best available source for world
wide time zone information.  It is available from
ftp://elsie.nci.nih.gov/pub/.  A good starting point for information
on the database, and time zones in general, is
http://www.twinsun.com/tz/tz-link.htm.

%prep
%setup -q -n %dist-%version
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/DateTime*

%changelog
* Mon May 11 2009 Alexey Tourbin <at@altlinux.ru> 0.90-alt1
- 0.89 -> 0.90

* Sun Apr 19 2009 Alexey Tourbin <at@altlinux.ru> 0.89-alt1
- 0.86 -> 0.89

* Tue Mar 24 2009 Alexey Tourbin <at@altlinux.ru> 0.86-alt1
- 0.83 -> 0.86

* Thu Nov 06 2008 Alexey Tourbin <at@altlinux.ru> 0.83-alt1
- 0.79 -> 0.83

* Mon Aug 04 2008 Alexey Tourbin <at@altlinux.ru> 0.79-alt1
- 0.7701 -> 0.79

* Thu Jun 19 2008 Alexey Tourbin <at@altlinux.ru> 0.77-alt1
- 0.72 -> 0.7701

* Wed Mar 05 2008 Alexey Tourbin <at@altlinux.ru> 0.72-alt1
- 0.64 -> 0.72

* Tue Apr 10 2007 Alexey Tourbin <at@altlinux.ru> 0.64-alt1
- 0.48 -> 0.64

* Mon Sep 04 2006 Alexey Tourbin <at@altlinux.ru> 0.48-alt1
- 0.46 -> 0.48

* Thu Aug 10 2006 Alexey Tourbin <at@altlinux.ru> 0.46-alt1
- 0.44 -> 0.46

* Wed Apr 19 2006 Alexey Tourbin <at@altlinux.ru> 0.44-alt1
- 0.36 -> 0.44

* Sun Aug 21 2005 Alexey Tourbin <at@altlinux.ru> 0.36-alt1
- initial revision
